import java.util.Enumeration;
import java.util.Hashtable;
import javax.swing.JOptionPane;

public class GezegenCaplari {
  public static void main (String args[]) {
    String names[] = {"Merkür", "Venüs", "Dünya",
      "Mars", "Jüpiter", "Satürn", "Uranüs",
      "Neptün", "Pluton"};
    float diameters[] = {4800f, 12103.6f, 12756.3f,
      6794f, 142984f, 120536f, 51118f, 49532f, 2274f};
    Hashtable hash = new Hashtable();
    for (int i=0, n=names.length; i < n; i++) {
      hash.put (names[i], new Float (diameters[i]));
    }
    Enumeration enum = hash.keys();
    Object obj;
    String ss="";
    while (enum.hasMoreElements()) {
      obj = enum.nextElement();
      ss+=obj + ": " + hash.get(obj)+"\n";
    }
    JOptionPane.showMessageDialog(null,ss);
    System.exit(0);
  }
}